# FederationManagement Class Reference

`#include <FederationManagement.hh>`

List of all members.

## Public Member Functions
| FederationManagement (Communications *, Statistics *)
| FederationManagement.
| ~FederationManagement ()
| Destructor.
void | checkFederationSaving (void) throw (SaveInProgress)
void | checkFederationRestoring (void) throw (RestoreInProgress)
void | createFederationExecution (std::string theName, TypeException &e) throw ( FederationExecutionAlreadyExists, CouldNotOpenFED,ErrorReadingFED, RTIinternalError)
| createFederationExecution.
void | destroyFederationExecution (std::string theName, TypeException &e)
| destroyFederationExecution.
FederateHandle | joinFederationExecution (std::string Federate, std::string Federation, TypeException &e)
| joinFederationExecution.
void | resignFederationExecution (RTI::ResignAction action, TypeException &e)
void | registerSynchronization (std::string label, std::string tag, TypeException &e)
| Register synchronization.
void | registerSynchronization (std::string label, std::string tag, unsigned short array_size, std::vector< FederateHandle > &fed_array, TypeException &e)
| Register synchronization with set of federates.
void | unregisterSynchronization (std::string label, TypeException &e)
| Unregister synchronization.
void | synchronizationPointRegistrationFailed (const char *label)
void | synchronizationPointRegistrationSucceeded (const char *label)
void | federationSynchronized (const char *label)
void | announceSynchronizationPoint (const char *label, const char *tag)
void | requestFederationSave (std::string label, FederationTime the_time, TypeException &e)
void | requestFederationSave (std::string label, TypeException &e)
void | federateSaveBegun (TypeException &)
void | federateSaveStatus (bool, TypeException &)
void | initiateFederateSave (const char *label)
void | federationSavedStatus (bool)
void | requestFederationRestore (std::string label, TypeException &e)
void | federateRestoreStatus (bool status, TypeException &e)
void | requestFederationRestoreStatus (bool status, const char *label, const char *reason)
void | federationRestoreBegun (void)
void | initiateFederateRestore (const char *label, FederateHandle handle)
void | federationRestoredStatus (bool status)
## Public Attributes
TimeManagement * | tm
Handle | _numero_federation
FederateHandle | federate
bool | _fin_execution
std::string | _FEDid
## Private Attributes
Communications * | comm
Statistics * | stat
bool | _est_createur_federation
bool | _est_membre_federation
bool | savingState
bool | restoringState
std::list< char * > | synchronizationLabels
| Labels being synchronized.
std::string | _nom_federation
std::string | _nom_federe

## Detailed Description

Definition at line 37 of file FederationManagement.hh.

## Constructor & Destructor Documentation

FederationManagement | ( | Communications * | GC,
|  | Statistics * | newStat |
| ) |  |  |

FederationManagement.

Definition at line 55 of file FederationManagement.cc.

References FederationManagement::_est_membre_federation, FederationManagement::_fin_execution, FederationManagement::_nom_federation, FederationManagement::_nom_federe, FederationManagement::_numero_federation, FederationManagement::comm, FederationManagement::federate, certi::rtia::G, PrettyDebug::Out(), pdGendoc, FederationManagement::stat, and FederationManagement::tm.

Here is the call graph for this function:

~FederationManagement | ( |  | ) |

Destructor.

Definition at line 79 of file FederationManagement.cc.

References FederationManagement::_est_membre_federation, RTI::DELETE_OBJECTS, certi::rtia::G, PrettyDebug::Out(), pdGendoc, and FederationManagement::resignFederationExecution().

Here is the call graph for this function:

## Member Function Documentation

void checkFederationSaving | ( | void |  | ) | throw (SaveInProgress)

Definition at line 986 of file FederationManagement.cc.

References FederationManagement::savingState.

void checkFederationRestoring | ( | void |  | ) | throw (RestoreInProgress)

Definition at line 996 of file FederationManagement.cc.

References FederationManagement::restoringState.

void createFederationExecution | ( | std::string | theName,
|  | TypeException & | e |
| ) |  |  | throw ( FederationExecutionAlreadyExists, CouldNotOpenFED,ErrorReadingFED, RTIinternalError)

createFederationExecution.

Definition at line 112 of file FederationManagement.cc.

References D, certi::e_CouldNotOpenFED, certi::e_ErrorReadingFED, certi::e_FederationExecutionAlreadyExists, certi::e_NO_EXCEPTION, certi::e_RTIinternalError, certi::fedparser::federate, NetworkMessage::federationName, NetworkMessage::FEDid, G, PrettyDebug::Out(), pdGendoc, and pdInit.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void destroyFederationExecution | ( | std::string | theName,
|  | TypeException & | e |
| ) |  |  |

destroyFederationExecution.

Definition at line 194 of file FederationManagement.cc.

References FederationManagement::_FEDid, FederationManagement::_fin_execution, FederationManagement::_nom_federation, FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, NetworkMessage::DESTROY_FEDERATION_EXECUTION, certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, NetworkMessage::federationName, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::sendMessage(), and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

FederateHandle joinFederationExecution | ( | std::string | Federate,
|  | std::string | Federation,
|  | TypeException & | e |
| ) |  |  |

joinFederationExecution.

Definition at line 260 of file FederationManagement.cc.

References FederationManagement::_est_membre_federation, FederationManagement::_FEDid, FederationManagement::_nom_federation, FederationManagement::_nom_federe, FederationManagement::_numero_federation, NetworkMessage::bestEffortAddress, NetworkMessage::bestEffortPeer, FederationManagement::comm, certi::rtia::D, certi::e_FederateAlreadyExecutionMember, certi::e_NO_EXCEPTION, certi::e_RTIinternalError, FederationManagement::federate, NetworkMessage::federateName, NetworkMessage::federationName, NetworkMessage::FEDid, certi::rtia::G, NetworkMessage::GET_FED_FILE, Communications::getAddress(), Communications::getPort(), LBTS::insert(), NetworkMessage::JOIN_FEDERATION_EXECUTION, NetworkMessage::MESSAGE_NULL, NetworkMessage::number, PrettyDebug::Out(), pdGendoc, pdInit, Statistics::rtiService(), Communications::sendMessage(), LBTS::setFederate(), FederationManagement::stat, FederationManagement::tm, and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void resignFederationExecution | ( | RTI::ResignAction | action,
|  | TypeException & | e |
| ) |  |  |

Definition at line 431 of file FederationManagement.cc.

References FederationManagement::_est_membre_federation, FederationManagement::_FEDid, FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, certi::e_FederateNotExecutionMember, certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, TimeManagement::requestRegulateurState(), NetworkMessage::RESIGN_FEDERATION_EXECUTION, Communications::sendMessage(), TimeManagement::setTimeRegulating(), TimeManagement::StopperAvanceTemps(), FederationManagement::tm, and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing(), and FederationManagement::~FederationManagement().

Here is the call graph for this function:

void registerSynchronization | ( | std::string | label,
|  | std::string | tag,
|  | TypeException & | e |
| ) |  |  |

Register synchronization.

Definition at line 485 of file FederationManagement.cc.

References FederationManagement::_est_membre_federation, FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, certi::e_FederateNotExecutionMember, certi::e_FederationAlreadyPaused, certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdProtocol, Communications::sendMessage(), NM_Register_Federation_Synchronization_Point::setDoesNotExist(), NetworkMessage::setLabel(), NetworkMessage::setTag(), and FederationManagement::synchronizationLabels.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void registerSynchronization | ( | std::string | label,
|  | std::string | tag,
|  | unsigned short | array_size,
|  | std::vector< FederateHandle > & | fed_array,
|  | TypeException & | e |
| ) |  |  |

Register synchronization with set of federates.

Definition at line 533 of file FederationManagement.cc.

References FederationManagement::_est_membre_federation, FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, certi::e_FederateNotExecutionMember, certi::e_FederationAlreadyPaused, certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, certi::rtia::G, NetworkMessage::handleArray, NetworkMessage::handleArraySize, PrettyDebug::Out(), pdGendoc, pdProtocol, Communications::sendMessage(), NM_Register_Federation_Synchronization_Point::setExist(), NetworkMessage::setLabel(), NetworkMessage::setTag(), and FederationManagement::synchronizationLabels.

Here is the call graph for this function:

void unregisterSynchronization | ( | std::string | label,
|  | TypeException & | e |
| ) |  |  |

Unregister synchronization.

Definition at line 586 of file FederationManagement.cc.

References FederationManagement::_est_membre_federation, FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, certi::e_FederateNotExecutionMember, certi::e_NO_EXCEPTION, certi::e_UnknownLabel, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, PrettyDebug::Out(), pdProtocol, Communications::sendMessage(), NetworkMessage::setLabel(), and FederationManagement::synchronizationLabels.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void synchronizationPointRegistrationFailed | ( | const char * | label | ) |

Definition at line 663 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::requestFederateService(), Message::setLabel(), Message::SYNCHRONIZATION_POINT_REGISTRATION_FAILED, and Message::type.

Here is the call graph for this function:

void synchronizationPointRegistrationSucceeded | ( | const char * | label | ) |

Definition at line 685 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::requestFederateService(), Message::setLabel(), Message::SYNCHRONIZATION_POINT_REGISTRATION_SUCCEEDED, and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void federationSynchronized | ( | const char * | label | ) |

Definition at line 707 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, Message::FEDERATION_SYNCHRONIZED, PrettyDebug::Out(), pdInit, Communications::requestFederateService(), Message::setLabel(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void announceSynchronizationPoint | ( | const char * | label,
|  | const char * | tag |
| ) |  |  |

Definition at line 632 of file FederationManagement.cc.

References Message::ANNOUNCE_SYNCHRONIZATION_POINT, FederationManagement::comm, certi::rtia::D, PrettyDebug::Out(), pdInit, Communications::requestFederateService(), Message::setLabel(), Message::setTag(), FederationManagement::synchronizationLabels, and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void requestFederationSave | ( | std::string | label,
|  | FederationTime | the_time,
|  | TypeException & | e |
| ) |  |  |

Definition at line 724 of file FederationManagement.cc.

References FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::sendMessage(), NetworkMessage::setDate(), and NetworkMessage::setLabel().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void requestFederationSave | ( | std::string | label,
|  | TypeException & | e |
| ) |  |  |

Definition at line 754 of file FederationManagement.cc.

References FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::sendMessage(), and NetworkMessage::setLabel().

Here is the call graph for this function:

void federateSaveBegun | ( | TypeException & |  | ) |

Definition at line 778 of file FederationManagement.cc.

References FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, FederationManagement::savingState, and Communications::sendMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void federateSaveStatus | ( | bool | status,
|  | TypeException & |  |
| ) |  |  |

Definition at line 800 of file FederationManagement.cc.

References FederationManagement::_numero_federation, FederationManagement::comm, NM_Factory::create(), certi::rtia::D, FederationManagement::federate, NetworkMessage::FEDERATE_SAVE_COMPLETE, NetworkMessage::FEDERATE_SAVE_NOT_COMPLETE, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, FederationManagement::savingState, and Communications::sendMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void initiateFederateSave | ( | const char * | label | ) |

Definition at line 829 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, certi::rtia::G, Message::INITIATE_FEDERATE_SAVE, PrettyDebug::Out(), pdGendoc, pdInit, Communications::requestFederateService(), FederationManagement::savingState, Message::setLabel(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void federationSavedStatus | ( | bool | status | ) |

Definition at line 850 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, Message::FEDERATION_NOT_SAVED, Message::FEDERATION_SAVED, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::requestFederateService(), FederationManagement::savingState, and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void requestFederationRestore | ( | std::string | label,
|  | TypeException & | e |
| ) |  |  |

Definition at line 868 of file FederationManagement.cc.

References FederationManagement::_numero_federation, FederationManagement::comm, certi::rtia::D, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::sendMessage(), and NetworkMessage::setLabel().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void federateRestoreStatus | ( | bool | status,
|  | TypeException & | e |
| ) |  |  |

Definition at line 893 of file FederationManagement.cc.

References FederationManagement::_numero_federation, FederationManagement::comm, NM_Factory::create(), certi::rtia::D, FederationManagement::federate, NetworkMessage::FEDERATE_RESTORE_COMPLETE, NetworkMessage::FEDERATE_RESTORE_NOT_COMPLETE, PrettyDebug::Out(), pdInit, FederationManagement::restoringState, and Communications::sendMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void requestFederationRestoreStatus | ( | bool | status,
|  | const char * | label,
|  | const char * | reason |
| ) |  |  |

Definition at line 908 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Message::REQUEST_FEDERATION_RESTORE_FAILED, Message::REQUEST_FEDERATION_RESTORE_SUCCEEDED, Communications::requestFederateService(), Message::setLabel(), Message::setTag(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void federationRestoreBegun | ( | void |  | ) |

Definition at line 933 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, Message::FEDERATION_RESTORE_BEGUN, certi::rtia::G, PrettyDebug::Out(), pdGendoc, pdInit, Communications::requestFederateService(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void initiateFederateRestore | ( | const char * | label,
|  | FederateHandle | handle |
| ) |  |  |

Definition at line 948 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, certi::rtia::G, Message::INITIATE_FEDERATE_RESTORE, PrettyDebug::Out(), pdGendoc, pdInit, Communications::requestFederateService(), FederationManagement::restoringState, Message::setFederate(), Message::setLabel(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void federationRestoredStatus | ( | bool | status | ) |

Definition at line 968 of file FederationManagement.cc.

References FederationManagement::comm, certi::rtia::D, Message::FEDERATION_NOT_RESTORED, Message::FEDERATION_RESTORED, PrettyDebug::Out(), pdInit, Communications::requestFederateService(), FederationManagement::restoringState, and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

## Member Data Documentation

TimeManagement* tm

Definition at line 99 of file FederationManagement.hh.

Referenced by FederationManagement::FederationManagement(), FederationManagement::joinFederationExecution(), FederationManagement::resignFederationExecution(), and RTIA::RTIA().

Handle _numero_federation

Definition at line 100 of file FederationManagement.hh.

Referenced by DataDistribution::associateRegion(), OwnershipManagement::attributeOwnedByFederate(), OwnershipManagement::attributeOwnershipAcquisition(), OwnershipManagement::attributeOwnershipAcquisitionIfAvailable(), OwnershipManagement::attributeOwnershipRealeaseResponse(), OwnershipManagement::cancelattributeOwnershipAcquisition(), OwnershipManagement::cancelnegotiatedAttributeOwnershipDivestiture(), ObjectManagement::changeAttributeOrderType(), ObjectManagement::changeAttributeTransportType(), ObjectManagement::changeInteractionOrderType(), ObjectManagement::changeInteractionTransportType(), DataDistribution::createRegion(), ObjectManagement::deleteObject(), DataDistribution::deleteRegion(), FederationManagement::destroyFederationExecution(), FederationManagement::federateRestoreStatus(), FederationManagement::federateSaveBegun(), FederationManagement::federateSaveStatus(), FederationManagement::FederationManagement(), FederationManagement::joinFederationExecution(), DataDistribution::modifyRegion(), OwnershipManagement::negotiatedAttributeOwnershipDivestiture(), DeclarationManagement::publishInteractionClass(), DeclarationManagement::publishObjectClass(), OwnershipManagement::queryAttributeOwnership(), ObjectManagement::registerObject(), DataDistribution::registerObject(), FederationManagement::registerSynchronization(), FederationManagement::requestFederationRestore(), FederationManagement::requestFederationSave(), ObjectManagement::requestObjectAttributeValueUpdate(), FederationManagement::resignFederationExecution(), ObjectManagement::sendInteraction(), TimeManagement::sendNullMessage(), ObjectManagement::setAttributeRelevanceAdvisorySwitch(), ObjectManagement::setAttributeScopeAdvisorySwitch(), DeclarationManagement::setClassRelevanceAdvisorySwitch(), DeclarationManagement::setInteractionRelevanceAdvisorySwitch(), TimeManagement::setTimeConstrained(), TimeManagement::setTimeRegulating(), DataDistribution::subscribe(), DeclarationManagement::subscribeInteractionClass(), DeclarationManagement::subscribeObjectClassAttribute(), DataDistribution::unassociateRegion(), OwnershipManagement::unconditionalAttributeOwnershipDivestiture(), DeclarationManagement::unpublishInteractionClass(), DeclarationManagement::unpublishObjectClass(), FederationManagement::unregisterSynchronization(), DataDistribution::unsubscribeAttributes(), DeclarationManagement::unsubscribeInteractionClass(), DeclarationManagement::unsubscribeObjectClassAttribute(), and ObjectManagement::updateAttributeValues().

FederateHandle federate

Definition at line 101 of file FederationManagement.hh.

Referenced by DataDistribution::associateRegion(), OwnershipManagement::attributeOwnedByFederate(), OwnershipManagement::attributeOwnershipAcquisition(), OwnershipManagement::attributeOwnershipAcquisitionIfAvailable(), OwnershipManagement::attributeOwnershipRealeaseResponse(), OwnershipManagement::cancelattributeOwnershipAcquisition(), OwnershipManagement::cancelnegotiatedAttributeOwnershipDivestiture(), ObjectManagement::changeAttributeOrderType(), ObjectManagement::changeAttributeTransportType(), ObjectManagement::changeInteractionOrderType(), ObjectManagement::changeInteractionTransportType(), DataDistribution::createRegion(), ObjectManagement::deleteObject(), DataDistribution::deleteRegion(), FederationManagement::destroyFederationExecution(), ObjectManagement::discoverObject(), FederationManagement::federateRestoreStatus(), FederationManagement::federateSaveBegun(), FederationManagement::federateSaveStatus(), FederationManagement::FederationManagement(), FederationManagement::joinFederationExecution(), DataDistribution::modifyRegion(), OwnershipManagement::negotiatedAttributeOwnershipDivestiture(), DeclarationManagement::publishInteractionClass(), DeclarationManagement::publishObjectClass(), OwnershipManagement::queryAttributeOwnership(), ObjectManagement::registerObject(), DataDistribution::registerObject(), FederationManagement::registerSynchronization(), FederationManagement::requestFederationRestore(), FederationManagement::requestFederationSave(), ObjectManagement::requestObjectAttributeValueUpdate(), FederationManagement::resignFederationExecution(), ObjectManagement::sendInteraction(), TimeManagement::sendNullMessage(), ObjectManagement::setAttributeRelevanceAdvisorySwitch(), ObjectManagement::setAttributeScopeAdvisorySwitch(), DeclarationManagement::setClassRelevanceAdvisorySwitch(), DeclarationManagement::setInteractionRelevanceAdvisorySwitch(), TimeManagement::setTimeConstrained(), TimeManagement::setTimeRegulating(), DataDistribution::subscribe(), DeclarationManagement::subscribeInteractionClass(), DeclarationManagement::subscribeObjectClassAttribute(), DataDistribution::unassociateRegion(), OwnershipManagement::unconditionalAttributeOwnershipDivestiture(), DeclarationManagement::unpublishInteractionClass(), DeclarationManagement::unpublishObjectClass(), FederationManagement::unregisterSynchronization(), DataDistribution::unsubscribeAttributes(), DeclarationManagement::unsubscribeInteractionClass(), DeclarationManagement::unsubscribeObjectClassAttribute(), and ObjectManagement::updateAttributeValues().

bool _fin_execution

Definition at line 102 of file FederationManagement.hh.

Referenced by RTIA::chooseFederateProcessing(), FederationManagement::destroyFederationExecution(), RTIA::execute(), and FederationManagement::FederationManagement().

std::string _FEDid

Definition at line 103 of file FederationManagement.hh.

Referenced by RTIA::chooseFederateProcessing(), FederationManagement::destroyFederationExecution(), FederationManagement::joinFederationExecution(), FederationManagement::resignFederationExecution(), and RTIA::~RTIA().

Communications* comm`[private]`

Definition at line 106 of file FederationManagement.hh.

Referenced by FederationManagement::announceSynchronizationPoint(), FederationManagement::destroyFederationExecution(), FederationManagement::federateRestoreStatus(), FederationManagement::federateSaveBegun(), FederationManagement::federateSaveStatus(), FederationManagement::FederationManagement(), FederationManagement::federationRestoreBegun(), FederationManagement::federationRestoredStatus(), FederationManagement::federationSavedStatus(), FederationManagement::federationSynchronized(), FederationManagement::initiateFederateRestore(), FederationManagement::initiateFederateSave(), FederationManagement::joinFederationExecution(), FederationManagement::registerSynchronization(), FederationManagement::requestFederationRestore(), FederationManagement::requestFederationRestoreStatus(), FederationManagement::requestFederationSave(), FederationManagement::resignFederationExecution(), FederationManagement::synchronizationPointRegistrationFailed(), FederationManagement::synchronizationPointRegistrationSucceeded(), and FederationManagement::unregisterSynchronization().

Statistics* stat`[private]`

Definition at line 107 of file FederationManagement.hh.

Referenced by FederationManagement::FederationManagement(), and FederationManagement::joinFederationExecution().

bool _est_createur_federation`[private]`

Definition at line 109 of file FederationManagement.hh.

bool _est_membre_federation`[private]`

Definition at line 110 of file FederationManagement.hh.

Referenced by FederationManagement::FederationManagement(), FederationManagement::joinFederationExecution(), FederationManagement::registerSynchronization(), FederationManagement::resignFederationExecution(), FederationManagement::unregisterSynchronization(), and FederationManagement::~FederationManagement().

bool savingState`[private]`

Definition at line 112 of file FederationManagement.hh.

Referenced by FederationManagement::checkFederationSaving(), FederationManagement::federateSaveBegun(), FederationManagement::federateSaveStatus(), FederationManagement::federationSavedStatus(), and FederationManagement::initiateFederateSave().

bool restoringState`[private]`

Definition at line 113 of file FederationManagement.hh.

Referenced by FederationManagement::checkFederationRestoring(), FederationManagement::federateRestoreStatus(), FederationManagement::federationRestoredStatus(), and FederationManagement::initiateFederateRestore().

std::list<char *> synchronizationLabels`[private]`

Labels being synchronized.

Definition at line 115 of file FederationManagement.hh.

Referenced by FederationManagement::announceSynchronizationPoint(), FederationManagement::registerSynchronization(), and FederationManagement::unregisterSynchronization().

std::string _nom_federation`[private]`

Definition at line 117 of file FederationManagement.hh.

Referenced by FederationManagement::destroyFederationExecution(), FederationManagement::FederationManagement(), and FederationManagement::joinFederationExecution().

std::string _nom_federe`[private]`

Definition at line 118 of file FederationManagement.hh.

Referenced by FederationManagement::FederationManagement(), and FederationManagement::joinFederationExecution().

The documentation for this class was generated from the following files:

- FederationManagement.hh
- FederationManagement.cc